Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasDirectionalText

All Superinterfaces:
  HasText

All Known Subinterfaces:
  HasDirectionalHtml, HasDirectionalSafeHtml

All Known Implementing Classes:
  Anchor, CheckBox, DialogBox.CaptionImpl, HTML, Hyperlink, InlineHTML, InlineHyperlink, InlineLabel, Label, RadioButton

    public interface HasDirectionalText

extends HasText

An object that implements this interface contains text that has a direction.

Method Summary
`HasDirection.Direction` | `getTextDirection()` Gets the direction of this object's text.
`void` | `setText(java.lang.String text, HasDirection.Direction dir)` Sets this object's text, also declaring its direction.

Methods inherited from interface com.google.gwt.user.client.ui.HasText
`getText, setText`

Method Detail

### getTextDirection

    HasDirection.Direction getTextDirection()

  Gets the direction of this object's text.

  Returns:
    the direction of this object's text

### setText

    void setText(java.lang.String text,
                 HasDirection.Direction dir)

  Sets this object's text, also declaring its direction.

  Parameters:
    `text` - the object's new text
    `dir` - the text's direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD